package com.diagbot.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @description: 疾病图谱数据
 * @author: Mark
 * @time: 2020/08/10 10:19
 */
@Data
public class DiseaseNeoDTO {
    // 性别
    private NodeNeoDTO gender;

    // 年龄
    private NodeNeoDTO ageNeoDTO;

    // 临床表现
    private List<NodeNeoDTO> clinicfindings = new ArrayList<>();

    // 药品
    private List<NodeNeoDTO> medicines = new ArrayList<>();

    // 过敏药品
//    private List<NodeNeoDTO> allergicmeds = new ArrayList<>();

    // 手术
    private List<NodeNeoDTO> operations = new ArrayList<>();

    // 操作
//    private List<NodeNeoDTO> procedures = new ArrayList<>();

    // 化验
    private List<NodeNeoDTO> lis = new ArrayList<>();

    // 辅助检查
    private List<NodeNeoDTO> pacs = new ArrayList<>();

    // 鉴别诊断
    private List<NodeNeoDTO> diff_disease = new ArrayList<>();

    // 并发症
    private List<NodeNeoDTO> complications = new ArrayList<>();

}
