package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "药品代码")
public class MedCode extends BaseNode  {


	@Relationship(type = "药品相关药品代码", direction = Relationship.INCOMING)
	private Set<MedCodeName> medcodenames = new HashSet<>();

}