package com.diagbot.repository;

import com.diagbot.entity.node.Dept;
import com.diagbot.util.ListUtil;

import java.util.ArrayList;
import java.util.List;

public class DeptNode {

    /**
     * 获取科室名称列表
     */
    public List<String> getDeptNameList(String name, DeptRepository deptRepository, BaseNodeRepository baseNodeRepository) {

        List<String> deptlt = new ArrayList<>();

        List<Dept> deptlist = deptRepository.findByNameContaining(name);
        deptlist.addAll(baseNodeRepository.getDeptbyPinYin(name));

        if (ListUtil.isNotEmpty(deptlist) && deptlist.size() > 100) {
            deptlist = deptlist.subList(0, 100);
        }

        for (Dept dept : deptlist) {
            deptlt.add(dept.getName());
        }

        return deptlt;
    }
}

