package com.diagbot.repository;

import com.diagbot.entity.node.Symptom;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface SymptomNameRepository extends Neo4jRepository<Symptom, Long> {

    List<Symptom> findByNameIs(String name);

    List<Symptom> findByNameContaining(String name);
}

