package com.diagbot.repository;

import com.diagbot.entity.node.YiBaoDiseaseName;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface YiBaoDiseaseRepository extends Neo4jRepository<YiBaoDiseaseName, Long> {

    List<YiBaoDiseaseName> findByNameIs(String name);

    List<YiBaoDiseaseName> findByNameContaining(String name);

    List<YiBaoDiseaseName> findByNameIn(List<String> names);
}

