package com.diagbot.repository;

import com.diagbot.entity.node.YiBaoOperationName;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface YiBaoOperationNameRepository extends Neo4jRepository<YiBaoOperationName, Long> {

    List<YiBaoOperationName> findByNameIs(String name);

    List<YiBaoOperationName> findByNameContaining(String name);

    List<YiBaoOperationName> findByNameIn(List<String> names);
}
