package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "国临疾病名称")
public class GuoLinDiseaseName extends BaseNode  {


	@Relationship(type = "医保疾病名称相关国临疾病名称", direction = Relationship.INCOMING)
	private Set<YiBaoDiseaseName> yibaodiseasenames = new HashSet<>();

}