package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "国临ICD_9_CM3代码")
public class GuoLinICD_9_CM3Code extends BaseNode  {


	@Relationship(type = "医保手术和操作名称相关国临ICD-9-CM3代码", direction = Relationship.INCOMING)
	private Set<YiBaoOperationName> yibaooperationnames = new HashSet<>();

}