package com.diagbot.entity.node;

import com.diagbot.biz.push.entity.Pacs;
import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "服用药品")
public class OralMedicine extends BaseNode  {


	@Relationship(type = "医保手术和操作名称禁忌服用药品", direction = Relationship.INCOMING)
	private Set<YiBaoOperationName> yibaooperationnames = new HashSet<>();

	@Relationship(type = "辅助检查名称禁忌服用药品", direction = Relationship.INCOMING)
	private Set<Pacs> pacss = new HashSet<>();

}