package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "辅检提醒指标")
public class PacsRemind extends BaseNode  {

	@Property(name = "年龄最小值")
	private Integer minval;

	@Property(name = "年龄最大值")
	private Integer maxval;

	@Property(name = "年龄范围")
	private Integer range=0;

	@Property(name = "性别")
	private String gender;

	@Property(name = "医保疾病名称")
	private String disease;

	@Property(name = "检查结果")
    private String result;

	@Property(name = "检查结论有")
    private String postoken;

	@Property(name = "检查结论无")
    private String negtoken;

	@Property(name = "提示语")
	private String msg;

}