package com.diagbot.repository;

import com.diagbot.entity.node.PacsSubName;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface PacsSubNameRepository extends Neo4jRepository<PacsSubName, Long> {

    List<PacsSubName> findByNameIs(String name);

    List<PacsSubName> findByNameContaining(String name);
}

