package com.diagbot.vo;

import com.diagbot.biz.push.entity.Item;
import com.diagbot.vo.neoPushEntity.*;
import lombok.Data;

/**
 * @Description: 图谱推理入参
 * @Author:zhoutg
 * @time: 2020/7/29 15:34
 * 现病史
 */
@Data
public class NeoPushVO {
    private Integer age;
    // 性别（1：男，2：女）
    private Integer sex;
    //选中的诊断
    private Item diaeaseName;
    private DiagVo diagVo;//下的诊断
    private ChiefPushVo chiefPushVo;//主诉
    private PresentPushVo presentPushVo;//现病史
    private PastPushVo pastPushVo;//既往史
    private LisPushVo lisPushVo;//化验
    private PacsPushVo pacsPushVo;//辅检

}
