package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/18 15:52
 */
@Getter
@Setter
public class StaticKnowledgeIndexVO {
    /**
     * 检索内容
     */
    private String inputStr;
    /**
     * 检索类型（多选）：0-全部、1-诊断、2-药品、3-检验、4-检查、5-手术和操作
     */
    @NotNull(message = "请输入检索类型")
    private List<Integer> types;
}
